on mouseUp
  set name to field "name"
  set address to field "address"
  set copies to field "copies"
  set phone to field "phone"
  set fax to field "fax"
  set email to field "email"
  if name = EMPTY then
    alert("Please type in your name.")
    exit
  end if
  if address = EMPTY then
    alert("Please type in your address.")
    exit
  end if
  if copies = EMPTY then
    alert("Please type in the number of copies you require.")
    exit
  end if
  set doc to new(xtra("PrintOMatic_Lite"))
  if not objectp(doc) then
    alert("There is no currently selected printer or a printing error has occured.")
    exit
  else
    append(doc, member "orderGraphic")
    append(doc, RETURN & RETURN & "Name:" && name)
    append(doc, RETURN & RETURN & "Address:" && address)
    append(doc, RETURN & RETURN & "Phone Number:" && phone)
    append(doc, RETURN & RETURN & "Fax Number:" && fax)
    append(doc, RETURN & RETURN & "Email:" && email)
    if copies = 1 then
      set numCops to "copy"
    else
      set numCops to "copies"
    end if
    append(doc, RETURN & RETURN & "Please send me:" && copies && numCops && "of Days of Rage.")
    if doJobSetup(doc) = 1 then
      print(doc)
    end if
    set doc to 0
  end if
end
